SpringRepeat (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.test.context.junit4.statements

## Class SpringRepeat

- java.lang.Object
- - org.junit.runners.model.Statement
  - - org.springframework.test.context.junit4.statements.SpringRepeat

-     public class SpringRepeat
      extends org.junit.runners.model.Statement

  `SpringRepeat` is a custom JUnit 4.5+ `Statement` which adds support for Spring's `@Repeat` annotation by repeating the test for the specified number of times.
  Since:
    3.0
  Author:
    Sam Brannen
  See Also:
    `evaluate()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Log` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringRepeat(org.junit.runners.model.Statement next, Method testMethod, int repeat)` Constructs a new `SpringRepeat` statement.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evaluate()` Invokes the next `statement` in the execution chain for the specified repeat count.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final Log logger

  - ### Constructor Detail

    - #### SpringRepeat

          public SpringRepeat(org.junit.runners.model.Statement next,
                      Method testMethod,
                      int repeat)

      Constructs a new `SpringRepeat` statement.
      Parameters:
        `next` - the next `Statement` in the execution chain
        `testMethod` - the current test method
        `repeat` - the configured repeat count for the current test method
      See Also:
        `Repeat.value()`

  - ### Method Detail

    - #### evaluate

          public void evaluate()
                        throws Throwable

      Invokes the next `statement` in the execution chain for the specified repeat count.
      Specified by:
        `evaluate` in class `org.junit.runners.model.Statement`
      Throws:
        `Throwable`